### Db::set_errpfx

`

###

    #include <db_cxx.h>

    void Db::set_errpfx(const char *errpfx);

    void Db::get_errpfx(const char **errpfxp);

### Description: Db::set_errpfx

Set the prefix string that appears before error messages issued by Berkeley DB.

The Db::set_errpfx and DbEnv::set_errpfx methods do not copy the memory to which the errpfx parameter refers; rather, they maintain a reference to it. Although this allows applications to modify the error message prefix at any time (without repeatedly calling the interfaces), it means the memory must be maintained until the handle is closed.

For Db handles opened inside of Berkeley DB environments, calling the Db::set_errpfx method affects the entire environment and is equivalent to calling the DbEnv::set_errpfx method.

The Db::set_errpfx method may be called at any time during the life of the application.

### Parameters

errpfx
  The errpfx parameter is the application-specified error prefix for additional error messages.

### Description: Db::get_errpfx

The Db::get_errpfx method returns the error prefix.

The Db::get_errpfx method may be called at any time during the life of the application.

The Db::get_errpfx method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

errpfxp
  The Db::get_errpfx method returns a reference to the error prefix in errpfxp.

### Class

Db

### See Also

Databases and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.